import { API } from './../../../utils/network/api'
let api = new API()
const app = getApp()
Page({

  data: {
    navbarData: {
      showCapsule: 1, //是否显示左上角图标   1表示显示    0表示不显示
      title: '医师认证', //导航栏 中间的标题
    },
    height: app.globalData.height, 
    license_cert: [],
    qualification_cert: [],
    work_cert: [],
  },
  onLoad(){
    api.getDoctorCret().then(response => {
      console.log(response);
      this.setData({
        license_cert: response.data.license_cert,
        qualification_cert: response.data.qualification_cert,
        work_cert: response.data.work_cert,
      })
    }).catch(errors => {console.error(errors);})
  },
  previewImage(e){
    let name = e.currentTarget.dataset.name;
    let name_date = this.data[name]

    wx.previewImage({
      current: name_date[0], // 当前显示图片的http链接
      urls: name_date // 需要预览的图片http链接列表
    })
  }
})